// JavaScript Document
function loadtable(){
	clearTimeout(Timer);
	loadpage_notab('disklist',"raidtable");
	Timer = setTimeout('loadtable()',5000);
}
function getmdsync(){
	$.ajax({
		type:'post',
		url:'/include/ajax/getmdsync.php',
		dataType:'html',
		success:function(data){
			$('#raidtable').html(data);			
		},
		complete:function(){
			Timer = setTimeout("getmdsync()",3000);
		}
	});	
}
function removeRAID(obj){
	var dev = $("[name=dev]").val();
	var removeAlert = $('[name=removeAlert]').val();
	$(obj).unbind('click').attr('disabled','disabled');
	saveStat(obj);
	$.post('/include/ajax/ajaxdata.php',
	{"Raidmanage":2,"device":dev}, function(rel){
		if(!rel) alert(removeAlert);
		removeStat(obj);
		$(".wBox_close").trigger('click');
	});
}
function inputpwd(){
	var encrypt = $('select[name=encrypt]').val();
	if(encrypt == 1){
		$('#Pwdinput').show();
	}else{ $('#Pwdinput').hide(); }
}

function badscan(obj){
	 $('#'+obj).attr('disabled','disabled');
	var dev = $('#'+obj).attr('path');
	$.post('/include/ajax/ajaxdata.php',
	{'Raidmanage':3,'device':dev},function(rel){
		//alert(rel);
	});
}

function smarty(){
	$("#smarty").html("");
	var arg = arguments[0] ? arguments[0] : null ;
	$.post("/include/ajax/smarty.php",
    {"disk":arg},function(data){
		$("#smarty").html(data);					 
	});
}
function selectnum(){
	var level = $('[name=level]').val();
	var usedput = $('[name=dev]:checked');
	if(level == 'single'){
		if(usedput.length >= 1){
			$('[name=dev]:not(:checked)').attr('disabled','disabled');
		}else{
			$('[name=dev]:not(:checked)').removeAttr('disabled');
		}
	}
}

function formatRaid(obj){
	var formatAlert = $('[name=formatAlert]').val().split('|');
	var dev = $('[name=dev]').val();
	var enct = $('[name=encrypt]');
	var encyrpt = '';
	if(enct.length > 0){
		if(enct.val() == ''){
			inputError(enct,1); return enct.focus();
		}else{
			inputError(enct,0); encyrpt = enct.val();
		}
	}
	saveStat(obj);
	$.post('/include/ajax/ajaxdata.php',
	{'Raidmanage':1,'device':dev,'encyrpt':encyrpt},function(rel){
		if(rel == 0){
			alert(formatAlert[0]);
		}else if(rel == 2){
			alert(formatAlert[1]);
		}
		$(".wBox_close").trigger('click');
	});
}

function mountRaid(obj){
	var mntAlert = $('[name=mntAlert]').val().split('|');
	var dev = $('[name=dev]').val();
	var encrypt = $('[name=encrypt]');
	var Entpass = "";
	if(encrypt.length > 0) Entpass = encrypt.val();
	saveStat(obj);
	$.post('/include/ajax/ajaxdata.php',
	{'Raidmanage':5,'dev':dev,'Entpass':Entpass},function(rel){
		if(rel == 1){
			alert(mntAlert[1]);
		}else{
			alert(mntAlert[0]);
		}
		removeStat(obj);
		$(".wBox_close").trigger('click');
	});
}

function modifypass(obj){
	var encrypt = $('[name=encrypt]');
	var rencrypt = $('[name=rencrypt]');
	var dev = $('[name=dev]').val();
	if(encrypt.val() == ''){
		inputError(encrypt,1); return encrypt.focus();
	}else if(rencrypt.val() != encrypt.val()){
		inputError(encrypt,0); inputError(rencrypt,1); return rencrypt.focus();
	}else{
		inputError(rencrypt,0);
	}
	saveStat(obj);
	$.post('/include/ajax/ajaxdata.php',
	{'Raidmanage':4,'dev':dev,'encrypt':encrypt.val()},function(rel){
		alert(rel);
		removeStat(obj);
		$(".wBox_close").trigger('click');
		window.location.reload();
	});
}

function diskPowerOn(obj,slot){
	$(obj).attr('disabled','disabled');
	$.post('/include/ajax/ajaxdata.php',
	{'powerfunction':1,'slot':slot},function(rel){
		//
	});
}

function diskPowerOff(obj,dev){
	var lang = $(obj).attr('disabled','disabled').attr('lang');
	if(confirm(lang)){		
		$.post('/include/ajax/ajaxdata.php',
		{'powerfunction':0,'dev':dev},function(rel){
			//alert(rel);
		});
	}
}

function addalert(num){
	var addAlert = $('[name=addAlert]').val().split('|');
	if(num < 4){
		alert(addAlert[1]);
	}else{
		alert(addAlert[0]);
	}
}

function setBitmap(obj){
	var mdname = $(obj).attr('disabled','disabled').attr('dev');
	$.post('/include/ajax/ajaxdata.php',
	{'Raidmanage':6,'mdname':mdname},function(rel){
		//alert(rel); //Debug...
	});
}

function AddNewdisk(obj){
	var mdname = $('[name=mdname]').val();
	var devnum = $('[name=devnum]').val();
	var dev = $('[name=dev]:checked').val();
	if(mdname != '' && dev != ''){
		saveStat(obj);
		$.post('/include/ajax/ajaxdata.php',
		{'Raidmanage':7,'device':dev,'mdname':mdname,'devnum':devnum},function(rel){
			removeStat(obj); $(".wBox_close").trigger('click');
		});
	}
}

function Repare(obj){
	var mdname = $(obj).attr('disabled','disabled').attr('dev');
	$.post('/include/ajax/ajaxdata.php',
	{'Raidmanage':9,'mdname':mdname},function(rel){
		//alert(rel); //Debug...
	});
}

function Deldisk(obj){
	var mdname = $('[name=mdname]').val();
	var dev = $('[name=dev]:checked').val();
	if(mdname != '' && dev != ''){
		saveStat(obj);
		$.post('/include/ajax/ajaxdata.php',
		{'Raidmanage':8,'device':dev,'mdname':mdname},function(rel){
			removeStat(obj); $(".wBox_close").trigger('click');
		});
	}
}

function createRaid(obj){
	 var data = new Array();
	 var createAlert = $('[name=createAlert]').val().split('|');
	 var levelAlert = $('[name=levelAlert]').val().split('|');
	 var level = $('input[name=level]').val();
	 var encrypt = $('select[name=encrypt]').val();
	 var devCap = $('input[name=dev]:checked');
	 var devices = new Array(), space = 0;
	 data.push('Raidmanage=0'),data.push('level='+level);
	 if(encrypt == 1){
		var password = $('input[name=password]');
		var repassword = $('input[name=repassword]');
		if(password.val() == '' || password.val().length < 6){
			inputError(password,1);return password.focus();
		}else if(password.val() != repassword.val()){
			inputError(password,0); inputError(repassword,1); 
			return repassword.focus();
		}else{ inputError(repassword,0);data.push('encrypt='+password.val()); }
	 }
	 if((level == '1' || level == '0' || level == 'linear') && devCap.length < 2){
		 alert(levelAlert[0]); return false;
	 }else if((level == '5' || level == '6') && devCap.length < 3){
		 alert(levelAlert[1]); return false;
	 }else if(level == '10' && devCap.length < 4){
		 alert(levelAlert[2]); return false;
	 }else if(devCap.length < 1){
		 alert(levelAlert[3]); return false; //至少选取一颗磁盘...
	 }
	 devCap.each(function(){
		 var devArray = $(this).val().split('|');
		 devices.push(devArray[0]); space += parseInt(devArray[1],10);
	 });
	 data.push('devices='+devices.join(',')), data.push('space='+space);
	 saveStat(obj);
	 //alert(data);
	 $.ajax({
		 type:'POST',
		 url:'/include/ajax/ajaxdata.php',
		 data:data.join('&'),
		 success:function(rel){
			 removeStat(obj);
			 if(rel == 0){
				 alert(createAlert[0]);
			 }else if(rel == 1){
				 alert(createAlert[1]);
			 }else{
				 $(".wBox_close").trigger('click');
			 }		 
		 }
	 });
}