// JavaScript Document
var key = 0, tips = 0;

function getdirlist(id){
	var dirlist = $('#'+id);
	var flag = arguments[1] ? arguments[1] : 0 ;
	$.post('/include/ajax/ajaxdata.php',
	{'getfolderlist':1},function(rel){
		if(rel != 3) dirlist.html(rel);	
		if(flag == 1){
			addClick();
		}else{
			addEvent();
		}		
	});
}

function addEvent(){	
	$('.directory a').unbind('click').click(function(){
		var _self = $(this);
		$('[name=path]').val(_self.attr('rel'));		
		if(_self.siblings('ul').length < 1 && _self.parent('li').hasClass('collapsed')){
			getPath(1);
			autoexpand();
		}else{
			_self.siblings('ul').remove();
			_self.parent('li').removeClass('expanded').addClass('collapsed');
		}
	});
}

function addClick(){
	$('.directory a').unbind('click').click(function(){
		var _self = $(this);
		highlight(_self);
		if(_self.siblings('ul').length < 1 && _self.parent('li').hasClass('collapsed')){
			$.post('/include/ajax/ajaxdata.php',
			{'getfolderlist':2,'path':_self.attr('rel')},
			function(rel){
				if(rel == 3) dirlist.html(rel);	
				var obj = getTopParent(_self,'dirmenu');
				obj.siblings('ul').find('ul').remove();
				obj.siblings('ul').find('li').removeClass('expanded').addClass('collapsed');
				_self.parents('li').removeClass('collapsed').addClass('expanded');
				_self.siblings('ul').remove();
				_self.after(rel);
				addClick();
			});
		}else{
			_self.siblings('ul').remove();
			_self.parent('li').removeClass('expanded').addClass('collapsed');
		}
	});
}

function highlight(obj){
	var path = $(obj).attr('rel');
	var other = $('#dirmenu a[rel!="'+path+'"]');
	if(!obj.hasClass('highlight')){
		$(obj).addClass('highlight');
		other.removeClass('highlight');
		$('[name=desturl]').val(path);
	}else{
		$(obj).removeClass('highlight');
		$('[name=desturl]').val('');
	}
}

function autoexpand(){
	var path = $('[name=path]').val();
	var currentobj = $('#foldmenu a[rel="'+path+'"]');
	if(currentobj.length > 0){
		var obj = getTopParent(currentobj,'foldmenu');
		obj.siblings('ul').find('ul').remove();
		obj.siblings('ul').find('li').removeClass('expanded').addClass('collapsed');
		currentobj.parents('li').removeClass('collapsed').addClass('expanded');
		$.post('/include/ajax/ajaxdata.php',
		{'getfolderlist':2,'path':path},
		function(rel){
			currentobj.siblings('ul').remove(); currentobj.after(rel);
			addEvent();
		});
	}
}

//得到最顶层的父对象...
function getTopParent(obj,idname){
	for(;;){
		var oldobj = obj;
		var obj = $(obj).parent();
		if(obj.attr('id') != idname){
			//继续循环...
		}else{
			return oldobj;
			break;
		}
	}
}

function rsysize(){
	var vl = $('[name=style]').val();
	if(vl==1){
		$('#headType').hide();
		var myheight = 56;
	}else{
		$('#headType').show();
		var myheight = 80;
	}
	var norheight = $(window).height() - $('#header').height() - 6;
	var norwidth = $(window).width() - $('#foldmenu').width() - 25;
	$('#foldmenu').height(norheight-220);
	$('.mbody').height(norheight);
	$('#foldshow').height(norheight).width(norwidth);
	$('#filelist').height(norheight - myheight).css('background-position',"center center");
}

function getPath(){
	$('#filelist').html('').css('background-image','url(/images/loading.gif)');
	var noPermission = $('[name=noPermission]').val();
	var flag = arguments[0] ? arguments[0] : 0 ;
	var path = $('[name=path]').val();
	var style = $('[name=style]').val();
	$('#CurrentPath').html(path);
	$.post('/include/ajax/ajaxdata.php',
	{'filemanage':0,'path':path,'style':style,'loginName':1},function(rel){
		if(rel == 3){
			//调用登陆过程...
			$("#loginsystem").trigger('click');
		}else if(rel == 4){
			alert(noPermission); upward();//没有权限向后退一步...
		}else{
			$('#filelist').css('background-image',"url('')").html(rel);
			setPath();
			if(flag == 0){ autoexpand(); }
			EnabledUp();
			// Show menu when a list item is clicked
			rightmenu();
		}
		//alert(rel);
	});
}
//右键菜单功能项...
function rightmenu(){
	  $(".FileUL li").contextMenu({
		  menu: 'myMenu'
	  }, function(action,el){
		  switch(action){
			 case 'open':
			 	opendir(el);
				break;
			 case 'download':
			 	download();
				break;
			 case 'archive':
			 	$('#archive').trigger('click');
				break;
			 case 'extract':
			 	$('#extract').trigger('click');
				break;
			 case 'copy':
			 	$('#copy').trigger('click');
				break; 
			 case 'cut':
			 	$('#move').trigger('click');
				break;
			 case 'delete':
			 	Delete();
				break;
			 case 'rename':
			 	$('#rename').trigger('click');
				break;
			 case 'properties':
			 	$('#properties').trigger('click');
				break; 
		  }
	  });
}
//打开文件夹或者文件...
function opendir(obj){
	var path = $(obj).find('a').attr('path');
	$('[name=filepath]').val('');
	if($(obj).find('em').attr('class') == 'dir'){
		$('[name=path]').val(path);
		$('#CurrentPath').html(path);
		getPath();
	}else{
		//处理文件过程
	}
}

function setPath(){
	var Lis = $('ul.FileUL li');
	Lis.dblclick(function(){
		opendir(this);
	});
	Lis.mousedown(function(){
		var path = $(this).find('a').attr('path');
		$('[name=filepath]').val(path);
		$(this).addClass('on').siblings('li').removeClass('on');
		getfileinfo(path);
		var rootpath = $('[name=path]').val();
		if($(this).find('em').attr('class') == 'rar'){
			$('#myMenu').enableContextMenuItems('#extract');
			$('#myMenu').disableContextMenuItems('#archive');
		}else{
			$('#myMenu').enableContextMenuItems('#archive');
			$('#myMenu').disableContextMenuItems('#extract');
		}
		if($(this).find('em').attr('class') == 'dir'){
			$('#myMenu').enableContextMenuItems('#open');
		}else{
			$('#myMenu').disableContextMenuItems('#open');
		}
		if(rootpath == '/mnt/'){
			$('#myMenu').disableContextMenuItems('#cut,#rename,#paste,#delete');
		}else{
			$('#myMenu').enableContextMenuItems('#cut,#rename,#paste,#delete');
		}
	});
}

function getfileinfo(filepath){
	var infoname = $('[name=infoname]').val().split('|');
	$.post('/include/ajax/ajaxdata.php',
	{'filemanage':12,'filepath':filepath},function(rel){
		var html = '';
		if(rel != 1){
			html += '<p>'+infoname[0]+' '+rel.name+'</p>';
			html += '<p>'+infoname[1]+' '+rel.size+'</p>';
			html += '<p>'+infoname[2]+' '+rel.perm+'</p>';
			html += '<p>'+infoname[3]+' '+rel.owner+'</p>';
			html += '<p>'+infoname[4]+' '+rel.group+'</p>';
			html += '<p>'+infoname[5]+' '+rel.time+'</p>';
		}else{
			html += '<p>'+infoname[6]+'</p>';
		}
		$('#fileinfo').html(html);
	},'json');
}

function upward(){
	var rootAlert = $('[name=rootAlert]').val();
	var path = $('[name=path]');
	var root = arguments[0] ? arguments[0] : 0 ;
	var fp = path.val().split('/');
	if(fp.length > 3){
		var newpath='';
		plen = root ? 2 : fp.length-2 ;
		for(i=0;i<plen;i++){
			newpath += fp[i]+'/';
		}
		path.val(newpath);
		$('#CurrentPath').html(newpath);
		getPath();
	}else{
		alert(rootAlert);
	}
}

function download(){
	var noPermission = $('[name=noPermission]').val();
	var downAlert = $('[name=downAlert]').val();
	var noSpace = $('[name=noSpace]').val();
	var filepath = $('[name=filepath]').val();
	if(filepath != ''){
		$.post('/include/ajax/ajaxdata.php',
		{'filemanage':1,'filepath':filepath,'loginName':1},function(rel){
			if(rel == 3){
				//代表没有登陆，此时应该弹出登陆窗口...
				$("#loginsystem").trigger('click');
			}else if(rel == 4){
				alert(noPermission);//没有下载权限....
			}else if(rel == 0){
				alert(noSpace);//容量不够缓存...
			}else{
				window.open(rel,'hideframe');				
			}
		});
	}else{
		alert(downAlert);
	}
}

function create(){
	var noPermission = $('[name=noPermission]').val();
	var rootRW = $('[name=rootRW]').val();
	var createAlert = $('[name=createAlert]').val().split('|');
	var path = $('[name=path]').val();
	var foldername = $('[name=foldername]');
	if(path == '/mnt/'){
		alert(rootRW);
		$(".wBox_close").trigger('click');
	}else{
		if(foldername.val() == ''){
			inputError(foldername,1);return foldername.focus();
		}else{
			inputError(foldername,0);
		}
		$.post('/include/ajax/ajaxdata.php',
		{'filemanage':4,'path':path,'foldername':foldername.val(),'loginName':1},
		function(rel){
			if(rel == 0){
				alert(createAlert[0]);
			}else if(rel == 1){
				getPath();
				alert(createAlert[1]);				
				$(".wBox_close").trigger('click');			
			}else if(rel == 2){
				alert(createAlert[2]);
			}else if(rel == 3){
				//调用登陆框...
				$("#loginsystem").trigger('click');
			}else if(rel == 4 || rel == 5){//不可读写...
				alert(noPermission); $(".wBox_close").trigger('click');
			}
		});
	}
}

function rename(){
	var noPermission = $('[name=noPermission]').val();
	var rootRW = $('[name=rootRW]').val();
	var nofile = $('[name=nofile]').val();
	var path = $('[name=path]').val();
	var renameAlert = $('[name=renameAlert]').val().split('|');
	var filepath = $('[name=filepath]').val();
	if(filepath == ''){
		alert(nofile);
		$(".wBox_close").trigger('click');
		return false;
	}
	if(path == '/mnt/'){
		alert(rootRW);
		$(".wBox_close").trigger('click');
		return false;
	}else{		
		var foldername = $('[name=foldername]');
		if(foldername.val() == ''){
			inputError(foldername,1);return foldername.focus();
		}else{
			inputError(foldername,0);
		}
		$.post('/include/ajax/ajaxdata.php',
		{'filemanage':5,'filepath':filepath,'foldername':foldername.val(),'loginName':1},
		function(rel){
			if(rel == 0){
				alert(renameAlert[0]);
			}else if(rel == 1){
				getPath();
				alert(renameAlert[1]);				
				$(".wBox_close").trigger('click');			
			}else if(rel == 2){
				alert(renameAlert[2]);
			}else if(rel == 3){
				//调用登陆框...
				$("#loginsystem").trigger('click');
			}else if(rel == 4){
				alert(noPermission); $(".wBox_close").trigger('click');	
			}
		});
	}
}

function operation(method,obj){
	var noPermission = $('[name=noPermission]').val();
	var noWrite = $('[name=noWrite]').val();
	var nofile = $('[name=nofile]').val();
	var nodir = $('[name=nodir]').val();
	var filepath = $('[name=filepath]').val();
	var desturl = $('[name=desturl]').val();
	if(filepath == ''){
		alert(nofile); $(".wBox_close").trigger('click');
	}else if(desturl == ''){
		alert(nodir);
	}else{
		if(method == 'copy'){
			var Alert = $('[name=copyAlert]').val().split('|');
			var subfun = 6, cmd = 'cp ';
		}else if(method == 'move'){
			var Alert = $('[name=moveAlert]').val().split('|');
			var rootRW = $('[name=rootRW]').val();
			var path = $('[name=path]').val();
			if(path == '/mnt/'){
				alert(rootRW);
				$(".wBox_close").trigger('click');
				return false;
			}
			var subfun = 7, cmd = 'mv ';
		}else if(method == 'archive'){
			var Alert = $('[name=tarAlert]').val().split('|');
			var subfun = 8, cmd = 'tar ';
		}else if(method == 'extract'){
			var Alert = $('[name=extAlert]').val().split('|');
			var subfun = 9, cmd = 'tar ';
		}
		var flag = $('[name=flag]:checked').val();
		saveStat(obj);		
		$.ajax({
			type:'POST',
			url:'/include/ajax/ajaxdata.php',
			data:'filemanage='+subfun+'&filepath='+filepath+'&desturl='+desturl+'&flag='+flag+'&loginName=1',
			timeout:3000,
			success:function(rel){
				if(rel == 0){
					alert(Alert[0]);
				}else if(rel == 1){
					alert(Alert[1]);getPath();
				}else if(rel == 2){
					alert(Alert[2]);
				}else if(rel == 3){
					//调用登陆框...
					$("#loginsystem").trigger('click');
				}else if(rel == 4){
					alert(noPermission);//不可读写操作...
				}else if(rel == 5){
					alert(noWrite);//不可写操作...
				}
			},
			error:function(){ alert(Alert[1]); },
			complete:function(){
				removeStat(obj);
				$(".wBox_close").trigger('click');
				AddListener(cmd);
			}
		});
	}
}

function AddListener(cmd){
	var obj = $('#tipWindow');
	$.post('/include/ajax/ajaxdata.php',
	{'GrepCommand':cmd},function(rel){
		var fp = rel.split('|');
		if(parseInt(fp[0]) > 0){
			obj.show().children('div').html(fp[1]);
			Timer = setTimeout(function(){
				AddListener(cmd);
			},1000);
		}else{
			obj.hide();
			tips++;
			if(tips < 11){
				Timer = setTimeout(function(){
					AddListener(cmd);
				},1000);
			}else{
				clearTimeout(Timer);
				tips = 0;
				return false;
			}			
		}
	});
}

function Delete(){
	var noPermission = $('[name=noPermission]').val();
	var rootRW = $('[name=rootRW]').val();
	var path = $('[name=path]').val();
	var filepath = $('[name=filepath]').val();
	var nofile = $('[name=nofile]').val();
	var deleteAlert = $('[name=deleteAlert]').val().split('|');
	if(path == '/mnt/'){
		alert(rootRW);
		return false;
	}else if(filepath == ''){
		alert(nofile); return false;
	}else{
		$.post('/include/ajax/ajaxdata.php',
		{'filemanage':3,'filepath':filepath,'loginName':1},function(rel){
			if(rel == 3){
				//调用登陆框...
				$("#loginsystem").trigger('click');
			}else if(rel == 4 || rel == 5){
				alert(noPermission);
			}else{
				rel == 1 ? alert(deleteAlert[1]) : alert(deleteAlert[0]);
				getPath();
			}
		});
	}
}

function upload(){
	var filename = $('#filename').val();
	var nofile = $('[name=nofile]').val();
	if(filename != ''){
		$('[name=uploadfile]').submit();
		$(".wBox_close").trigger('click');
	}else{
		alert(nofile);
	}
}

function uploadalert(ret){
	
	var upload_failed = $('[name=upload_failed]').val();
	if(ret == 0){
		alert(upload_failed);
	}else if(ret == 1){
		getPath();
	}else if(ret == 3){
		//调用登陆框...
		$("#loginsystem").trigger('click');
	}else if(ret == 4 || ret == 5){
		alert(noPermission);
	}
}

function EnabledUp(){
	var path = $('[name=path]').val();
	if(path == '/mnt/'){
		$('#upload').hide();
	}else{
		$('#upload').show();
	}	
}

function getUOG(){
	var nofile = $('[name=nofile]').val();
	var filepath = $('[name=filepath]').val();//得到文件或文件夹路径...
	var fp = filepath.split('/');
	if(filepath.lastIndexOf('/') == filepath.length -1) fp.pop();
	if(fp.length > 5) fp.splice(3,fp.length-4,"......");
	var currentpath = fp.join('/');
	$('#currentpath').html(currentpath);
	if(filepath != ''){
		$.post('/include/ajax/ajaxdata.php',
		{'filemanage':10,'filepath':filepath},function(rel){
			if(rel.length > 0){
				for(var i in rel){
					var value = rel[i][1]+':'+rel[i][2];
					$('.perms[value="'+value+'"]').attr('checked','checked').parent().siblings('td').children('input.perms').removeAttr('checked');
				}
				var session = $('[name=session]').val();
				if(session != 'admin'){
					$('.perms,#permbtn').attr('disabled','disabled');
					$('#permbtn').unbind('click');
				}else{
					$('#permbtn').click(function(){ saveFileProperty(this); });
				}
			}
		},'json');
	}else{
		alert(nofile); $(".wBox_close").trigger('click');
	}
}

function showUG(){
	var selectug = $('[name=selectug]').val();	
	if(selectug == 1){
		$('#fulist').show();
		$('#fglist').hide();
		Jpage('CfuList','CfPage',false);
	}else{
		$('#fulist').hide();
		$('#fglist').show();
		Jpage('CfgList','CfPage',false);
	}
}

function saveFileProperty(obj){
	//得到要操作的文件路径（可能为文件夹）...
	var filepath = $('[name=filepath]').val();
	var appSon = $('[name=appSon]:checked');
	var checkboxs = $("input.perms:checked");
	var username = new Array();
	var right = new Array();
	var appSon = $('[name=appSon]:checked');
	var appmode = 0;
	if(appSon.length > 0) appmode += parseInt(appSon.val());
	checkboxs.each(function(){
		var fp = $(this).val().split(":");
		username.push(fp[0]); right.push(fp[1]);
	});
	saveStat(obj);
	$.post('/include/ajax/ajaxdata.php',
	{
		'filemanage':11, 'filepath':filepath, 'username':username.join(','),
		'appmode':appmode,	'right':right.join(',')
	},function(rel){
		alert(rel); removeStat(obj);
		$(".wBox_close").trigger('click');
		getPath();
	});
}

function managelogin(obj){
	var data = new Array();
	data.push('loginwhere=1');
	var name = $("input[name=username]");
	var pass = $("input[name=passwd]");
	var umem = $("input[name=memoryname]").attr('checked');
	var pmem = $("input[name=memorypwd]").attr('checked');
	//alert languge
	var loginAlert = $('[name=loginAlert]').val().split('|');
	//得到数据
	if(name.val().length < 1){
		inputError(name,1); alert(loginAlert[3]); return name.focus();
	}else{
		inputError(name,0); data.push('name='+name.val());
	}
	if(pass.val().length < 1){
		inputError(pass,1); alert(loginAlert[4]); return pass.focus();
	}else{
		inputError(pass,0); data.push('passwd='+pass.val());
	}
	if(umem){data.push('umem=1'); }else{ data.push('umem=0'); }
	if(pmem){data.push('pmem=1'); }else{ data.push('pmem=0'); }
	$("#login").attr("disabled","disabled");
	saveStat(obj);
	$.ajax({
		type:"POST",
		url:"/include/ajax/login.php",
		data:data.join('&'),
		dataType:"html",
		success:function(data){
			//alert(data);
			removeStat(obj);
			switch(parseInt(data)){
				case 0:
				   alert(loginAlert[0]);
				   break;
				case 1:
				   window.location.reload();
				   break;
				case 2:
				   alert(loginAlert[2]);
				   break;
				default:
				   alert(loginAlert[1]);
				   break;
			}
			$(obj).removeAttr("disabled");
		}
	});	
}

function checkloginstat(){
	$.post('/include/ajax/ajaxdata.php',
	{'checkloginstat':1,'loginName':1},function(rel){
		if(rel == 0){
			$("#loginsystem").trigger('click');
		}
	});
}

function getstyle(){
	var style = $('[name=style]').val();
	$('#showstyle em').removeClass().addClass('icon_'+style);
}

//监听浏览器改变大小...
$(window).resize(function(){ rsysize(); });

$(function(){	
	usewbox('#archive');
	usewbox('#extract');
	usewbox('#upload');
	usewbox('#createfolder');
	usewbox('#rename');
	usewbox('#copy');
	usewbox('#move');
	usewbox('#properties');//得到属性弹出窗口...
	EnabledUp();
	rsysize();
	getPath();
	getdirlist('foldmenu');
	checkloginstat();
	
	$("#showstyle").click(function(){
		if(key ==1){
			$('#mylist').slideUp('up',function(){key=0;});
		}else{
			$('#mylist').slideDown('down',function(){key=1;});
		}
	});
	$('#mylist a').click(function(){
		var v = $(this).attr('rel');
		$('[name=style]').val(v);
		$(this).parent().slideUp('up',function(){key=0;});
		rsysize();
		getstyle();
		getPath();
	});
	AddListener('cp |tar |mv ');
});