// JavaScript Document
function sendlevel(){
	var level = $('input[name=sec_level]:checked').val();
	$('input[name=selectips]').val('');
	if(level != '' || level != 'undefined'){
		$.post("/include/ajax/nettable.php",
		   {'tab':'rulelist','level':level},
		   function(rel){
			  $('#rulelist').html(rel);
			  var trs = $(".ruletable tbody tr");
			  trs.mouseover(function(){
				  $(this).addClass("over");
			  }).mouseout(function(){
				  $(this).removeClass("over");
			  });
			  trs.click(function(){
				  $(this).addClass("select").siblings("tr").removeClass("select");	
				  var selected = $(this).attr('rel');
				  $('input[name=selectips]').val(selected);
			  });
			  $(".ruletable tbody tr:odd").addClass("alt");
		});
		if(level > 0){
			$('#addrule').removeClass('disabled').wBox({
				title: $('#addrule').attr('lang'),
				requestType: "ajax",
				type:"POST",
				data:"tab=addrule&level="+level,
				target:"/include/ajax/nettable.php"
			});
		}else{
			$('#addrule').addClass('disabled').unbind("click");
		}
		$('#delrule').unbind('click').click(function(){ saveDelrule(); });
	}
}
function saveAddrule(){
	var data = new Array();
	var addtype = $('input[name=addtype]:checked').val();
	var Erro = false;
	var ip_addr = $('input[name=ip_addr]:not(:disabled)');
	var netmask = $('input[name=netmask]:not(:disabled)');
	var level = $('input[name=level]').val();
	var timeleave = $('input[name=timeleave]').val();
	data.push('addruleType='+addtype);
	data.push('addrulelevel='+level);
	var ip = mask = '';
	if(ip_addr.length > 0){
		ip_addr.each(function(i){
			if($(this).val() != ''){
				$(this).removeClass("erro");
				Erro = false;
				if(i == ip_addr.length-1){
					ip += $(this).val();
				}else if(i == 3 && ip_addr.length > 4){
					ip += $(this).val()+'-';
				}else{					
					ip += $(this).val()+'.';
				}
			}else{
				$(this).addClass("erro").focus();
				Erro = true; return false;
			}
		});
		if(Erro){ return false; }
		data.push('iprule='+ip);
	}
	if(netmask.length > 0){
		netmask.each(function(i){
			if($(this).val() != ''){
				$(this).removeClass("erro");
				Erro = false;
				(i< netmask.length-1) ? mask += $(this).val()+'.' : mask += $(this).val();
			}else{
				$(this).addClass("erro").focus();
				Erro = true; return false;
			}
		});
		if(Erro){ return false; }
		data.push('maskrule='+mask);
	}
	if(timeleave == '') timeleave = 0;
	data.push('timeleave='+timeleave);
	//alert(data); //debug...
	$.ajax({
		type:"POST",
		url:"/include/ajax/ajaxdata.php",
		data:data.join('&'),
		success:function(rel){
			alert(rel);
			$(".wBox_close").trigger('click');
			sendlevel();
		}
	});
}
function saveDelrule(){
	var selectips = $('input[name=selectips]').val();
	var level = $('input[name=sec_level]:checked').val();
	if(selectips != '' && level != ''){
		$.post('/include/ajax/ajaxdata.php',
		{"delruleType":level,"selectedrule":selectips},function(rel){
			alert(rel);
			sendlevel();
		});
	}else{
		alert($('input[name=selectips]').attr('lang'));
	}
}
function checkaddType(){
	var obj = $('input[name=addtype]');
	if(obj.length > 0){
		for(i=0;i<obj.length;i++){
			if(obj.eq(i).attr('checked')){
				$('#type_'+obj.eq(i).val()).find('input').removeAttr('disabled');
			}else{
				$('#type_'+obj.eq(i).val()).find('input').attr('disabled','disabled');
			}
		}
	}
}
function savelevelsetting(){
	var sec_level = $('input[name=sec_level]:checked').val();
	$.post('/include/ajax/ajaxdata.php',
	{'iprulesetting':1,'rulelevel':sec_level},function(rel){
		alert(rel);
		PageLoadAjax('nettable');
	});
}
function clearTextarea(){
	var textareas = $('textarea');
	textareas.html("");
}
function saveCrtKey(obj){
	var crtbox = $('[name=crtbox]').val();
	var keybox = $('[name=keybox]').val();
	saveStat(obj);
	$.post('/include/ajax/ajaxdata.php',
	{'setCrtKey':1,'crtbox':crtbox,'keybox':keybox},function(rel){
		removeStat(obj); PageLoadAjax('nettable');
	});
}
function restoreCrtKey(){
	$.post('/include/ajax/ajaxdata.php',
	{'setCrtKey':0},function(rel){
		PageLoadAjax('nettable');
	});
}
function DownloadFile(file){
	var downAlert = $('[name=downAlert]').val();
	$.post('/include/ajax/ajaxdata.php',
	{'setCrtKey':2,'filepath':file},function(rel){
		//alert(rel);
		if(rel != 0){
			window.open(rel,"hideframe");
		}else{
			alert(downAlert);
		}
	});
}

$(function(){
	PageLoadAjax('nettable');
});