// JavaScript Document
function saveWebconfig(obj){
	var data = {};	
	var web_server = $('input[name=web_server]').attr('checked');
	var web_port = $('input[name=web_port]').val();
	var use_ssl = $('input[name=use_ssl]').attr('checked');
	var ssl_port = $('input[name=ssl_port]').val();
	var webdav_enabled = $('input[name=webdav_enabled]').attr('checked');
	var davport = $("[name=dav_port]");
	saveStat(obj);
	if(web_server){
		data.Webserver = 1, data.webport = web_port;
		if(use_ssl){
			data.usessl = "yes";
			if(ssl_port == '') ssl_port = 474;
			data.sslport = ssl_port;
		}else{ data.usessl = "no";; }
		if(webdav_enabled){
			data.webdav = "yes";
		}else{ data.webdav = "no"; }
		if(davport.val() == ""){
			inputError(davport, 1); return davport.focus();
		}else{
			inputError(davport, 0); data.davport = davport.val();
		}
		$(obj).attr('disabled','disabled');
		$.ajax({
			type:'POST',
			url:'/include/ajax/ajaxdata.php',
			data:data,
			success:function(rel){
				alert(rel); removeStat(obj);
				PageLoadAjax("servertable");			
			}
		});
	}else{
		$.post('/include/ajax/ajaxdata.php',
		{"Webserver":0},function(rel){
			alert(rel);removeStat(obj);PageLoadAjax("servertable");
		});
	}
}

function checkserver(){	
	var web_server = $('input[name=web_server]').attr('checked');
	if(web_server){
		$("[name=Enabled_vhosts]").attr('checked','checked');	
		$('.confield :input:not(:first)').removeAttr('disabled');
		var use_ssl = $('input[name=use_ssl]').attr('checked');
		if(use_ssl){
			$('input[name=ssl_port]').removeAttr('disabled');
		}else{
			$('input[name=ssl_port]').attr('disabled','disabled');
		}
		if($('[name=ssl_port]').val() == "") $('[name=ssl_port]').val("474");
	}else{
		$("[name=Enabled_vhosts]").removeAttr('checked');
		$('.confield :input:not(:first)').attr('disabled','disabled');
	}
}

function checkvhostname(obj){
	var oldname = $(obj).attr("oldname");
	var newname = $(obj).val();
	if(newname != oldname && newname != ''){
		$.post('/include/ajax/ajaxdata.php',{'vhostaction':4,'vhostname':newname},function(t){
			if(t != 1){
				alert(t); inputError(obj,1);
				return false;
			}else{
				inputError(obj,0);
			}
		});
	}
}

function newVhost(obj){
	var data = {};
	var noEmpty = $('input[name=noEmpty]').val();
	var noPath = $('input[name=noPath]').val();
	var vhostname = $('input[name=vhostname]');
	var vhostdir = $('input[name=vhostdir]');
	var vhosttype = $('input[name=vhosttype]:checked').val();
	var vhostport = $('input[name=vhostport]');
	var action = $('input[name=action]').val();
	data.vhostaction = 2; //提交标示符 ...
	data.action = action; //提交动作执行过程 ...
	if(vhostname.val() == ''){
		alert(noEmpty); vhostname.focus(); return false;
	}else{
		data.servername = vhostname.val();
		data.oldname = vhostname.attr("oldname");
	}
	if(vhostdir.val() == ''){
		alert(noPath); return vhostdir.focus();;
	}else{
		data.path = "/mnt/web/"+vhostdir.val();
	}
	data.protocol = vhosttype;
	if(vhostport.val() == ''){
		alert(noEmpty); vhostport.focus(); return false;
	}else{
		data.port = vhostport.val();
		data.oldport = vhostport.attr('oldport');
		if(data.port != data.oldport){
			$.post('/include/ajax/ajaxdata.php',
			{'checkport':vhostport.val()},function(t){
				if(t != 1){
					alert(t); inputError(vhostport,1);
					return false;
				}else{
					inputError(vhostport,0);
					saveStat(obj);
					$.post('/include/ajax/ajaxdata.php', data, function(rel){
						alert(rel);removeStat(obj);
						$(".wBox_close").trigger('click');
						PageLoadAjax("servertable");
					});
				}
			});
		}else{
			saveStat(obj);
			$.post('/include/ajax/ajaxdata.php', data, function(rel){
				alert(rel);removeStat(obj);
				$(".wBox_close").trigger('click');
				PageLoadAjax("servertable");
			});
		}
	}
}

function selectall(){
	var vhostid = $('input[name=vhostid]:not(:disabled)');
	var vhostall = $('#vhostall').attr('checked');
	if(vhostall){
		vhostid.attr('checked','checked');
	}else{
		vhostid.removeAttr('checked');
	}
}
function removehost(obj){
	var data = new Array();
	$(obj).attr('disabled','disabled');
	var vhostnoEmpty = $('input[name=vhostnoEmpty]').val();
	var vhostid = $('input[name=vhostid]:checked');
	if(vhostid.length > 0){
		vhostid.each(function(i){ data[i] = $(this).val(); });
		$.post('/include/ajax/ajaxdata.php',
		{'vhostaction':3,'vhosts':data.join(',')},function(rel){
			 alert(rel); $(obj).removeAttr('disabled');
			 PageLoadAjax("servertable");
		});
	}else{
		alert(vhostnoEmpty); $(obj).removeAttr('disabled');
		return false;
	}
}